MTLS Certificates

MTLSCertificates

Methods

list(, ): <>
get/accounts/{account_id}/mtls_certificates

Lists all mTLS certificates.

Security

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY

Accepted Permissions (at least one required)

Account: SSL and Certificates Read Account: SSL and Certificates Write

Parameters
account_id: string
(maxLength: 32)

Identifier.

Returns
id?: string
(maxLength: 32)

Identifier.

ca?: boolean

Indicates whether the certificate is a CA or leaf certificate.

certificates?: string

The uploaded root CA certificate.

expires_on?: string
(format: date-time)

When the certificate expires.

issuer?: string

The certificate authority that issued the certificate.

name?: string

Optional unique name for the certificate. Only used for human readability.

serial_number?: string

The certificate serial number.

signature?: string

The type of hash used for the certificate.

uploaded_on?: string
(format: date-time)

This is the time the certificate was uploaded.

Request example
200Example
get(, , ):
get/accounts/{account_id}/mtls_certificates/{mtls_certificate_id}

Fetches a single mTLS certificate.

create(, ):
post/accounts/{account_id}/mtls_certificates

Upload a certificate that you want to use with mTLS-enabled Cloudflare services.

delete(, , ):
delete/accounts/{account_id}/mtls_certificates/{mtls_certificate_id}

Deletes the mTLS certificate unless the certificate is in use by one or more Cloudflare services.

Domain types

MTLSCertificate{…}
MTLS Certificates

Associations

MTLSCertificates.Associations

Methods

get(, , ): <>
get/accounts/{account_id}/mtls_certificates/{mtls_certificate_id}/associations

Lists all active associations between the certificate and Cloudflare services.

Domain types

CertificateAsssociation{…}